FLTK 1.3.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
Fl_Select_Browser Class Reference

The class is a subclass of Fl_Browser which lets the user select a single item, or no items by clicking on the empty space. More...

`#include <Fl_Select_Browser.H>`

Inheritance diagram for Fl_Select_Browser:

List of all members.

## Public Member Functions
| Fl_Select_Browser (int X, int Y, int W, int H, const char *L=0)
| Creates a new Fl_Select_Browser widget using the given position, size, and label string.

## Detailed Description

The class is a subclass of Fl_Browser which lets the user select a single item, or no items by clicking on the empty space.

As long as the mouse button is held down on an unselected item it is highlighted. Normally the callback is done when the user presses the mouse, but you can change this with when().

See Fl_Browser for methods to add and remove lines from the browser.

## Constructor & Destructor Documentation

Fl_Select_Browser::Fl_Select_Browser | ( | int | X,
|  | int | Y,
|  | int | W,
|  | int | H,
|  | const char * | L = `0`
| ) |  |

Creates a new Fl_Select_Browser widget using the given position, size, and label string.

The default boxtype is FL_DOWN_BOX. The constructor specializes Fl_Browser() by setting the type to FL_SELECT_BROWSER. The destructor destroys the widget and frees all memory that has been allocated.

The documentation for this class was generated from the following files:

- Fl_Select_Browser.H
- Fl_Browser.cxx